solscan logo
Register NowRegister Now

token historical data

get

https://pro-api.solscan.io/v2.0/token/historical-data

Get token historical data

QUERY PARAMS

address

required

The token address

range

number

Time range in days

RESPONSES

200

OK

Response Body (application/json)

success

boolean

Status of Api

token_address

string

Token address

date

number

Date in YYYYMMDD format

supply

number

Supply (already divided by decimals)

num_holders

number

Number of holders

num_transfers

number

Number of transfers

total_volume_buying

number

Total volume buying in USD

total_volume_selling

number

Total volume selling in USD

total_trade_amount

number

Total trading amount

num_buyers

number

Number of buyers

num_sellers

number

Number of sellers

total_amount_buying

number

Total amount of token buying

total_amount_selling

number

Total amount of token selling

total_trade_volume

number

Total trade volume in USD

400

Bad Request

Response Body (application/json)

401

Authentication failed

Response Body (application/json)

429

Too Many Requests

Response Body (application/json)

500

Internal Server Error

Response Body (application/json)

icon

Javascript

icon

Python

icon

Shell

icon

Go

icon

C#

Authorization

Response

Click Try It! to start a request and see the response here!

Response Examples